hpp-core: hpp::core::CollisionPathValidationReport Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core::CollisionPathValidationReport Struct Reference
Validation of configurations and paths

Path validation report used for standard collision checking. More...

`#include <hpp/core/collision-path-validation-report.hh>`

Inheritance diagram for hpp::core::CollisionPathValidationReport:
[legend]
Collaboration diagram for hpp::core::CollisionPathValidationReport:
[legend]

## Public Member Functions
| CollisionPathValidationReport ()
| CollisionPathValidationReport (const value_type &param, const ValidationReportPtr_t &report)
Public Member Functions inherited from hpp::core::PathValidationReport
| PathValidationReport ()
| PathValidationReport (const value_type &param, const ValidationReportPtr_t &report)
virtual | ~PathValidationReport ()
virtual std::ostream & | print (std::ostream &os) const
| Write report in a stream.
value_type | getParameter ()
void | setParameter (value_type p)
Public Member Functions inherited from hpp::core::ValidationReport
virtual | ~ValidationReport ()

## Additional Inherited Members
Public Attributes inherited from hpp::core::PathValidationReport
value_type | parameter
| Parameter of the path where a invalid configuration has been found.
ValidationReportPtr_t | configurationReport

## Detailed Description

Path validation report used for standard collision checking.

## Constructor & Destructor Documentation

## ◆ CollisionPathValidationReport() [1/2]

hpp::core::CollisionPathValidationReport::CollisionPathValidationReport | ( |  | ) |
| inline

## ◆ CollisionPathValidationReport() [2/2]

hpp::core::CollisionPathValidationReport::CollisionPathValidationReport | ( | const value_type & | param,
|  | const ValidationReportPtr_t & | report
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- include/hpp/core/collision-path-validation-report.hh